
# POINTERS & ARRAYS


### OUTLINE

### Slides for this section are available [here](https://39iosdev.gitlab.io/ccd-iqt/idf/C-Programming/Pointers_Arrays/slides)

* Coding Style Guide
* Stub Code
* Why?
* Definitions
* Endianness
* Memory Visualization
* Memory Operators
* Arrays Review
* Address Arithmetic
* Function Arguments
* Pointer Arrays
* Multi-Dimensional Arrays
* Function Pointers
* Double Pointers

## DISCLAIMER:

1. This objective will make sweeping generalizations in an attempt to simplify the topic at hand.  A later objective will be dedicated to memory management.
2. This objective will likely be a watershed moment for most of the students.  The ability to successfully use pointers to their full advantage is an easy discriminator between novice and expert C programmers.
3. It is likely this objective may require some teaching aid or method of instruction to clearly express necessary concepts.  Immediate feedback from the students is more important than ever.

---
